<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.CreditRuleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="creditRuleResultMap" type="org.springblade.modules.platform.entity.CreditRule">
        <id column="id" property="id"/>
        <result column="name" property="name"/>
        <result column="credit_score" property="creditScore"/>
        <result column="remark" property="remark"/>
        <result column="state" property="state"/>
        <result column="update_time" property="updateTime"/>
        <result column="update_user" property="updateUser"/>
    </resultMap>


    <select id="selectCreditRulePage" resultMap="creditRuleResultMap">
        select * from t_credit_rule where is_deleted = 0
    </select>

</mapper>
